# AppProxyPinned

## contract AppProxyPinned

is [IsContract](/developers/tools/aragonos/smart-contract-references/common/iscontract.md), [AppProxyBase](/developers/tools/aragonos/smart-contract-references/apps/appproxybase.md)

Source: [contracts/apps/AppProxyPinned.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/apps/AppProxyPinned.sol)

## Index

* [fallback](#fallback)
* [implementation](#implementation)
* [pinnedCode](#pinnedcode)
* [proxyType](#proxytype)
* [setPinnedCode](#setpinnedcode)

## Reference

### Functions

#### **fallback** <a href="#fallback" id="fallback"></a>

`function (IKernel _kernel, bytes32 _appId, bytes _initializePayload) public`

***

Initialize AppProxyPinned (makes it an un-upgradeable Aragon app).

Modifiers:

Parameters:

* `_kernel` - Reference to organization kernel for the app
* `_appId` - Identifier for app
* `_initializePayload` - Payload for call to be made after setup to initialize

#### **implementation** <a href="#implementation" id="implementation"></a>

` function`` `` `**`implementation`**`() public view returns (address)`

***

ERC897, the address the proxy would delegate calls to.

Returns:

* address

#### **pinnedCode** <a href="#pinnedcode" id="pinnedcode"></a>

` function`` `` `**`pinnedCode`**`() internal view returns (address)`

***

Returns:

* address

#### **proxyType** <a href="#proxytype" id="proxytype"></a>

` function`` `` `**`proxyType`**`() public pure returns (uint256)`

***

ERC897, whether it is a forwarding (1) or an upgradeable (2) proxy.

Returns:

* uint256

#### **setPinnedCode** <a href="#setpinnedcode" id="setpinnedcode"></a>

` function`` `` `**`setPinnedCode`**`(address _pinnedCode) internal`

***

Parameters:

* `_pinnedCode` - address


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/apps/appproxypinned.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
